Bug 175828 - [PATCH] sysutils/dd_rescue: update to 1.31
Summary: [PATCH] sysutils/dd_rescue: update to 1.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-04 13:40 UTC by Po-Chien Lin
Modified: 2013-03-07 15:10 UTC (History)
1 user (show)

See Also:


Attachments
dd_rescue-1.31.patch (1.63 KB, patch)
2013-02-04 13:40 UTC, Po-Chien Lin
no flags Details | Diff
dd_rescue.diff (3.11 KB, patch)
2013-02-19 11:58 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2013-02-04 13:40:00 UTC
- Update to 1.31
- Switch to OptionsNG

- Problem of 1.30:
  I'm not sure if the dd_rescue official team repack the tarball,
  but the distinfo in r311038 will cause `make checksum' failed.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-04 13:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 nemysis 2013-02-19 11:58:51 UTC
Update to 1.32

Makefile changed:
+PORTDOCS=      README.dd_rescue
+OPTIONS_DEFINE=        DOCS
.if ${PORT_OPTIONS:MDOCS}
PLIST_SUB+=     PORTDOCS=""
.else
PLIST_SUB+=     PORTDOCS="@comment "
.endif

+.if ${PORT_OPTIONS:MDOCS}

Changed and refined:
 do-install:
 pkg-descr
Comment 3 dfilter service freebsd_committer 2013-03-07 15:08:47 UTC
Author: nobutaka
Date: Thu Mar  7 15:08:38 2013
New Revision: 313595
URL: http://svnweb.freebsd.org/changeset/ports/313595

Log:
  Update to 1.32.
  Trim Makefile header.
  Add a new location to MASTER_SITES.
  Switch to OptionsNG.
  
  PR:		ports/175828
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/sysutils/dd_rescue/Makefile
  head/sysutils/dd_rescue/distinfo

Modified: head/sysutils/dd_rescue/Makefile
==============================================================================
--- head/sysutils/dd_rescue/Makefile	Thu Mar  7 14:57:44 2013	(r313594)
+++ head/sysutils/dd_rescue/Makefile	Thu Mar  7 15:08:38 2013	(r313595)
@@ -1,14 +1,11 @@
-# New ports collection makefile for:   dd_rescue
-# Date created:        14 March 2005
-# Whom:                MANTANI Nobutaka <nobutaka@freebsd.org>
-#
+# Created by: MANTANI Nobutaka <nobutaka@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	dd_rescue
-PORTVERSION=	1.30
+PORTVERSION=	1.32
 CATEGORIES=	sysutils
-MASTER_SITES=	http://www.garloff.de/kurt/linux/ddrescue/
+MASTER_SITES=	http://www.garloff.de/kurt/linux/ddrescue/ \
+		http://fossies.org/unix/privat/
 
 MAINTAINER=	nobutaka@FreeBSD.org
 COMMENT=	A dd tool suitable for rescuing data from a medium with errors
@@ -16,16 +13,16 @@ COMMENT=	A dd tool suitable for rescuing
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-BROKEN=		checksum mismatch
-
 USE_GMAKE=	yes
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 ALL_TARGET=	default
 
+.include <bsd.port.options.mk>
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/dd_rescue ${PREFIX}/bin
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA}	${WRKSRC}/README.dd_rescue ${DOCSDIR}
 .endif

Modified: head/sysutils/dd_rescue/distinfo
==============================================================================
--- head/sysutils/dd_rescue/distinfo	Thu Mar  7 14:57:44 2013	(r313594)
+++ head/sysutils/dd_rescue/distinfo	Thu Mar  7 15:08:38 2013	(r313595)
@@ -1,2 +1,2 @@
-SHA256 (dd_rescue-1.30.tar.gz) = 137f20f8dbe053824b8dabf3a5157d02620bffcfcba336e99fcc2bf42055efde
-SIZE (dd_rescue-1.30.tar.gz) = 26313
+SHA256 (dd_rescue-1.32.tar.gz) = 9e57d9b1a37d417ea5e2e0ae4de3b742d2370496034bc3a1133147dd9b400dbd
+SIZE (dd_rescue-1.32.tar.gz) = 28968
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 MANTANI Nobutaka freebsd_committer 2013-03-07 15:09:08 UTC
State Changed
From-To: open->closed

Updated to 1.32. Thanks!